package org.eclipse.epsilon.egl.dom.ast2dom;

import org.eclipse.epsilon.eol.dom.DomElement;
import org.eclipse.epsilon.eol.dom.Type;
import org.eclipse.epsilon.eol.dom.ast2dom.Ast2DomContext;
import org.eclipse.epsilon.eol.dom.ast2dom.TypeCreatorFactory;

public class EGLTypeCreatorFactory extends TypeCreatorFactory {

	public EGLTypeCreatorFactory(Ast2DomContext c) {
		super(c);
	}

	public Type createType(DomElement e, String s)
	{
		Type t = super.createType(e, s);

		if(s.equalsIgnoreCase("Template")) t = (Type) new TemplateTypeCreator().create(null, null, context);

		if (t != null) {
			t.setContainer(e);
			t.setLine(e.getLine());
			t.setColumn(e.getColumn());
		}
		return t;
	}
}
